> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Perpetuals Portfolio Summary

> Get a summary of your Perpetuals portfolio

<Warning>
  **Deprecated — retires at cutover.** This INTX perpetuals endpoint is being replaced by the [Deribit-powered derivatives gateway](/coinbase-app/advanced-trade-apis/guides/derivatives/overview). Migrate before the cutover — see the [Migration Overview](/coinbase-app/advanced-trade-apis/guides/derivatives/overview).
</Warning>


## OpenAPI

````yaml GET  /api/v3/brokerage/intx/portfolio/{portfolio_uuid}
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/intx/portfolio/{portfolio_uuid}:
    get:
      tags:
        - Perpetuals
      summary: Get Perpetuals Portfolio Summary
      description: Get a summary of your Perpetuals portfolio
      operationId: RetailBrokerageApi_GetIntxPortfolioSummary
      parameters:
        - name: portfolio_uuid
          description: The portfolio UUID.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.intx.GetPortfoliosResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.intx.GetPortfoliosResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:transactions:read
components:
  schemas:
    coinbase.retail.rest.proxy.intx.GetPortfoliosResponse:
      type: object
      properties:
        portfolios:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Portfolio'
        summary:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.intx.PortfoliosSummary
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.intx.Portfolio:
      type: object
      properties:
        portfolio_uuid:
          type: string
          description: The portfolio UUID.
        collateral:
          type: string
          description: The total collateral value in USDC for the portfolio
        position_notional:
          type: string
          description: >-
            The total position notional value in USDC for all positions in the
            portfolio
        open_position_notional:
          type: string
          description: >-
            The total position notional value in USDC for all open orders and
            positions
        pending_fees:
          type: string
          description: The accrued fees that has not been paid yet in USDC
        borrow:
          type: string
          description: >-
            Total borrow amount in USDC (nets the USDC balance, position PNL,
            held USDC, accured interest and rolling debt)
        accrued_interest:
          type: string
          description: Interest charged for borrowed USDC balances
        rolling_debt:
          type: string
          description: Amount of settled transactions that hasn't been paid
        portfolio_initial_margin:
          type: string
          description: >-
            The weighted average of all the position's initial margin
            utilization
        portfolio_im_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        portfolio_maintenance_margin:
          type: string
          description: The maintenance margin of the portfolio
        portfolio_mm_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        liquidation_percentage:
          type: string
          description: The liquidation percentage of the portfolio
        liquidation_buffer:
          type: string
          description: The liquidation buffer of the portfolio
        margin_type:
          allOf:
            - $ref: '#/components/schemas/coinbase.intx_common.PortfolioMarginType'
        margin_flags:
          allOf:
            - $ref: '#/components/schemas/coinbase.intx_common.PortfolioMarginFlags'
        liquidation_status:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.intx_common.PortfolioLiquidationStatus
        unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        total_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
    coinbase.retail.rest.proxy.intx.PortfoliosSummary:
      type: object
      properties:
        unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        buying_power:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        total_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        max_withdrawal_amount:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
    coinbase.retail.rest.proxy.intx.Amount:
      type: object
      properties:
        value:
          type: string
          description: Value of the Amount
        currency:
          type: string
          description: >-
            The currency to be allocated for the specific isolated position
            (e.g. USD, BTC, etc).
      title: Message that represents the monetary amount.
    coinbase.intx_common.PortfolioMarginType:
      type: string
      enum:
        - MARGIN_TYPE_UNSPECIFIED
        - MARGIN_TYPE_CROSS
        - MARGIN_TYPE_ISOLATED
      default: MARGIN_TYPE_UNSPECIFIED
    coinbase.intx_common.PortfolioMarginFlags:
      type: string
      enum:
        - PORTFOLIO_MARGIN_FLAGS_UNSPECIFIED
        - PORTFOLIO_MARGIN_FLAGS_IN_LIQUIDATION
      default: PORTFOLIO_MARGIN_FLAGS_UNSPECIFIED
    coinbase.intx_common.PortfolioLiquidationStatus:
      type: string
      enum:
        - PORTFOLIO_LIQUIDATION_STATUS_UNSPECIFIED
        - PORTFOLIO_LIQUIDATION_STATUS_CANCELING
        - PORTFOLIO_LIQUIDATION_STATUS_AUTO_LIQUIDATING
        - PORTFOLIO_LIQUIDATION_STATUS_LSP_ASSIGNMENT
        - PORTFOLIO_LIQUIDATION_STATUS_CUSTOMER_ASSIGNMENT
        - PORTFOLIO_LIQUIDATION_STATUS_MANUAL
        - PORTFOLIO_LIQUIDATION_STATUS_NOT_LIQUIDATING
      default: PORTFOLIO_LIQUIDATION_STATUS_UNSPECIFIED
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````